Bug 1530673 - rgw: Fix swift object expiry not deleting objects
Summary: rgw: Fix swift object expiry not deleting objects
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 3.0
Hardware: All
OS: All
unspecified
high
Target Milestone: z1
: 3.0
Assignee: Matt Benjamin (redhat)
QA Contact: vidushi
URL:
Whiteboard:
Depends On:
Blocks: 1494421 1514210
TreeView+ depends on / blocked
 
Reported: 2018-01-03 15:53 UTC by Ken Dreyer (Red Hat)
Modified: 2018-06-11 06:06 UTC (History)
11 users (show)

Fixed In Version: RHEL: ceph-12.2.1-44.el7cp Ubuntu: ceph_12.2.1-46redhat1xenial
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1514210
Environment:
Last Closed: 2018-03-08 15:51:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 22084 None None None 2018-01-03 15:53:46 UTC
Red Hat Product Errata RHBA-2018:0474 normal SHIPPED_LIVE Red Hat Ceph Storage 3.0 bug fix update 2018-03-08 20:51:53 UTC

Description Ken Dreyer (Red Hat) 2018-01-03 15:53:47 UTC
+++ This bug was initially created as a clone of Bug #1514210 +++

Description of problem:
In cls_timeindex_list() though `to_index` has expired for a timespan, the marker is set for a subsequent index during the time boundary check. This marker is further returned to RGWObjectExpirer::process_single_shard(), where this out_marker is trimmed from the respective shard, resulting in a lost removal hint and a leaked object.

Reproducer in tracker.

Comment 10 errata-xmlrpc 2018-03-08 15:51:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0474


Note You need to log in before you can comment on or make changes to this bug.